This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 701760 - loadkeys doesn't parse Unicode characters marked as letters correctly
loadkeys doesn't parse Unicode characters marked as letters correctly
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kbd (Show other bugs)
14
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Vitezslav Crhonek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-03 15:08 EDT by Roland Kaufmann
Modified: 2011-12-14 07:59 EST (History)
1 user (show)

See Also:
Fixed In Version: kbd-1.15.2-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-14 07:59:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roland Kaufmann 2011-05-03 15:08:57 EDT
If a key is defined with a Unicode keysym and also marked as a letter using the plus sign, loadkeys complains about a syntax error.

E.g. (to assign the character 'a' to the second leftmost key in the home row on a PC keyboard):

   echo 'keycode 30 = +U+0061' | loadkeys

gives the error:

   (null):1: syntax error
   syntax error in map file
   key bindings not changed

whereas

   echo 'keycode 30 = U+0061' | loadkeys

and

   echo 'keycode 30 = +0x61' | loadkeys

do not.

`loadkeys --version` returns "loadkeys from kbd 1.15".
Comment 1 Vitezslav Crhonek 2011-12-14 07:59:56 EST
Fixed in kbd-1.15.2-1.fc15.

Note You need to log in before you can comment on or make changes to this bug.